-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Nov 15, 2009 at 09:27 PM
-- Server version: 5.0.82
-- PHP Version: 5.2.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `membership`
--

-- --------------------------------------------------------

--
-- Table structure for table `level`
--

CREATE TABLE IF NOT EXISTS `level` (
  `id` int(2) NOT NULL auto_increment,
  `type` varchar(32) NOT NULL,
  `donation` int(5) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `level`
--

INSERT INTO `level` (`id`, `type`, `donation`) VALUES
(1, 'platinum', 300),
(2, 'gold', 200),
(3, 'silver', 100),
(4, 'student', 25);

-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `username` varchar(32) NOT NULL COMMENT 'primary key',
  `l_name` varchar(32) NOT NULL COMMENT 'last name',
  `f_name` varchar(32) NOT NULL COMMENT 'first name',
  `address1` varchar(50) NOT NULL,
  `address2` varchar(50) NOT NULL,
  `city` varchar(32) NOT NULL,
  `state` int(2) NOT NULL COMMENT 'keyed to "state"',
  `zip` int(5) NOT NULL,
  `email` varchar(100) NOT NULL,
  `type` int(1) NOT NULL COMMENT 'keyed to "level"',
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `members`
--

INSERT INTO `members` (`username`, `l_name`, `f_name`, `address1`, `address2`, `city`, `state`, `zip`, `email`, `type`) VALUES
('goatboy', 'doe', 'john', '22 Tree St.', 'Apt. B', 'Chula Vista', 5, 91913, 'gboy@hotmail.com', 1),
('darth', 'stewart', 'ron', '9 Cate Pl.', '', 'San Diego', 5, 92182, 'bigfa@gmail.com', 2),
('smokey', 'doe', 'jane', '557 1st St.', 'Unit 245', 'La Mesa', 5, 91941, 'bandit@yahoo.com', 4);

-- --------------------------------------------------------

--
-- Table structure for table `state`
--

CREATE TABLE IF NOT EXISTS `state` (
  `id` int(2) NOT NULL auto_increment COMMENT 'keyed to members.state',
  `state` varchar(2) NOT NULL COMMENT 'abbreviation',
  `long_form` varchar(32) NOT NULL COMMENT 'spelled out',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=52 ;

--
-- Dumping data for table `state`
--

INSERT INTO `state` (`id`, `state`, `long_form`) VALUES
(1, 'AL', 'Alabama'),
(2, 'AK', 'Alaska'),
(3, 'AZ', 'Arizona'),
(4, 'AK', 'Arkansas'),
(5, 'CA', 'California'),
(6, 'CO', 'Colorado'),
(7, 'CT', 'Connecticut'),
(8, 'DE', 'Deleware'),
(9, 'FL', 'Florida'),
(10, 'GA', 'Georgia'),
(11, 'HI', 'Hawaii'),
(12, 'ID', 'Idaho'),
(13, 'IA', 'Iowa'),
(14, 'IL', 'Illinois'),
(15, 'KA', 'Kansas'),
(16, 'KT', 'Kentucky'),
(17, 'LA', 'Louisiana'),
(18, 'ME', 'Maine'),
(19, 'MD', 'Maryland'),
(20, 'MA', 'Massachussetts'),
(21, 'MN', 'Minnesota'),
(22, 'MS', 'Mississippi'),
(23, 'MO', 'Missouri'),
(24, 'MT', 'Montana'),
(25, 'NE', 'Nebraska'),
(26, 'NV', 'Nevada'),
(27, 'NH', 'New Hampshire'),
(28, 'NJ', 'New Jersey'),
(29, 'NM', 'New Mexico'),
(30, 'NY', 'New York'),
(31, 'NC', 'North Carolina'),
(32, 'ND', 'North Dakota'),
(33, 'OH', 'Ohio'),
(34, 'OK', 'Oklahoma'),
(35, 'OR', 'Oregon'),
(36, 'PA', 'Pennsylvania'),
(37, 'RI', 'Rhode Island'),
(38, 'SC', 'South Carolina'),
(39, 'SD', 'South Dakota'),
(40, 'TN', 'Tennessee'),
(41, 'TX', 'Texas'),
(42, 'UT', 'Utah'),
(43, 'VT', 'Vermont'),
(44, 'VA', 'Virginia'),
(45, 'WA', 'Washington'),
(46, 'WV', 'West Virginia'),
(47, 'WI', 'Wisconsin'),
(48, 'WY', 'Wyoming');
